org.apache.jmeter.gui.action

## Class LookAndFeelCommand

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.LookAndFeelCommand

- All Implemented Interfaces:
    Command

      public class LookAndFeelCommand
      extends AbstractAction

  Implements the Look and Feel menu item.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LookAndFeelCommand.MenuItem`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookAndFeelCommand()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `activateLookAndFeel(String command)`
    `void` | `doAction(ActionEvent ev)`
    `Set<String>` | `getActionNames()`
    `static String` | `getJMeterLaf()` Deprecated. see #getPreferredLafCommand
    `static Collection<LookAndFeelCommand.MenuItem>` | `getMenuItems()`
    `static String` | `getPreferredLafCommand()` Returns a command that would activate the preferred LaF.
    `static boolean` | `isDark()`
    `static boolean` | `isDarklafTheme()`

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

      `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LookAndFeelCommand

          public LookAndFeelCommand()

  - ### Method Detail

    - #### getMenuItems

          public static Collection<LookAndFeelCommand.MenuItem> getMenuItems()

    - #### getJMeterLaf

          @Deprecated
          public static String getJMeterLaf()

      Deprecated. see #getPreferredLafCommand
      Get LookAndFeel classname from the following properties:
      - User preferences key: "laf"
      - jmeter.laf.<os.name> - lowercased; spaces replaced by '_'
      - jmeter.laf.<os.family> - lowercased.
      - jmeter.laf
      - UIManager.getCrossPlatformLookAndFeelClassName()
      Returns:
        LAF classname
      See Also:
        `getPreferredLafCommand()`

    - #### getPreferredLafCommand

          public static String getPreferredLafCommand()

      Returns a command that would activate the preferred LaF.
      Returns:
        command that would activate the preferred LaF

    - #### isDarklafTheme

          public static boolean isDarklafTheme()

    - #### isDark

          public static boolean isDark()

    - #### activateLookAndFeel

          public static void activateLookAndFeel(String command)

    - #### doAction

          public void doAction(ActionEvent ev)

      Specified by:
        `doAction` in interface `Command`
      Overrides:
        `doAction` in class `AbstractAction`
      See Also:
        `Command.doAction(ActionEvent)`

    - #### getActionNames

          public Set<String> getActionNames()

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.